## pd-midifile 0.4.2

=== Makefile ===
# Makefile for midifile

lib.name = midifile

class.sources = midifile.c

datafiles = \
        I_Wanna_Be_Sedated.mid \
        LICENSE.txt \
        README.md \
        midifile-help.pd \
        midifile-meta.pd

# This Makefile is based on the Makefile from pd-lib-builder written by
# Katja Vetter. You can get it from:
# https://github.com/pure-data/pd-lib-builder

PDLIBBUILDER_DIR=pd-lib-builder/
include $(firstword $(wildcard $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder Makefile.pdlibbuilder))

=== debian/changelog ===
pd-midifile (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2
    + Drop obsolete patches
  * Disable autopkgtest on s390x for now
  * Update copyright information
    + Update d/copyright
    + Re-generate d/copyright_hints
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 04 Mar 2025 22:57:36 +0100

pd-midifile (0.4-1) unstable; urgency=medium

  * Upload to unstable.
  * Update git repository layout to follow DEP-14

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 10 Feb 2025 20:19:56 +0100

pd-midifile (0.4-1~exp1) experimental; urgency=medium

  * Split package from pd-mrpeach (following upstream decision).

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 21 Nov 2024 12:44:21 +0100

## pd-midifile 0.4.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 # Makefile for midifile
 
 lib.name = midifile
+
+lib.version := $(shell sed -n 's|^\#X text [0-9][0-9]* [0-9][0-9]* VERSION \(.*\);|\1|p' $(lib.name)-meta.pd)
 
 class.sources = midifile.c
 
@@ -11,6 +13,8 @@
         midifile-help.pd \
         midifile-meta.pd
 
+cflags = -DVERSION='"$(lib.version)"'
+
 # This Makefile is based on the Makefile from pd-lib-builder written by
 # Katja Vetter. You can get it from:
 # https://github.com/pure-data/pd-lib-builder

=== debian/changelog ===
pd-midifile (0.4.3-2) unstable; urgency=medium

  * Team Upload
  * Dix syntax of Architecture in debian/tests/control (Closes: #1113958)
  * Remove obsolete dh-buildinfo build dependency
  * Drop "Rules-Requires-Root: no", it is the new default

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Oct 2025 10:46:30 +0200

pd-midifile (0.4.3-1) unstable; urgency=medium

  * New upstream version 0.4.3
  * Update copyright information
    + Add more copyright holders
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 22 Aug 2025 10:09:58 +0200

=== debian/control ===
Source: pd-midifile
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-puredata,
Standards-Version: 4.7.2
Section: sound
Homepage: https://github.com/pd-externals/midifile
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-midifile.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-midifile

Package: pd-midifile
Architecture: any
Depends:
 ${misc:Depends},
 ${puredata:Depends},
 ${shlibs:Depends},
Recommends:
 ${puredata:Recommends},
Suggests:
 ${puredata:Suggests},
Provides:
 ${puredata:Provides},
Description: Read and write MIDI files within Pd
 [midifile] allows one to read/write MIDI files from within Pure Data
 (Pd).
 .
 While Pd has built-in capabilities for handline live MIDI input and output,
 it has no facilities to work with MIDI files.
 Use this library if you need to work with such files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2015-2022 IOhannes m zmölnig <umlaeute@debian.org>
# Description: Main Debian packaging script for mrpeach


#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# get SOURCE_DATE_EPOCH and DEB_VERSION
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=pd_lib_builder

execute_before_dh_auto_configure:
	cp debian/Makefile .

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        debian/.*
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/tests/control ===
Test-Command: find debian/tests -name "*.pd" -not -name "_*" -exec debian/tests/runtests.sh {} "+"
Architecture: !s390x
Depends:
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
# process this file with uscan(1)
version=4
opts=dversionmangle=auto,\
     uversionmangle=s/([a-z]+[0-9.]*$)/~$1/,\
     filenamemangle=s/.+\/v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
  https://github.com/pd-externals/midifile/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## pd-midifile 0.4.4

=== debian/changelog ===
pd-midifile (0.4.4-1) unstable; urgency=medium

  * New upstream version 0.4.4
  * Drop obsolete 'Priority: optional' stanza.
  * Update d/watch to version 5
  * Bump standards version to 4.7.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 20 Feb 2026 14:13:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: pd-midifile
-Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-puredata,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Section: sound
 Homepage: https://github.com/pd-externals/midifile
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-midifile.git

=== debian/watch ===
Version: 5

Template: GitHub
Owner: pd-externals
Project: midifile
Uversionmangle: s/[-_]/\./g
